Page MenuHomePhabricator

Investigate case where no mention happens due to section mismatch
Closed, ResolvedPublic8 Story Points

Description

Task: The technical details page[1] for mentions lists a restriction for mentions that is likely to produce mention errors:

  • the comment, in which the mention occured, contains level 1 or 2 section headers elsewhere than at the start

Questions to answer:

  • What would be the consequences of lifting the condition? How could we do that?
  • If we can't lift it, could we inform users about mentions that are not being sent out due to it?

Goal: We want to reduce the sources of mention failures. If that is not possible, let's try to at least give an error message in form of a mention failure notification.

Background: This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To keep the number of notifications smaller, and to help people use mentions in a way that they are sent, the task informs about mention failures, and adds the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions

Event Timeline

Lea_WMDE created this task.Jun 15 2016, 4:41 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 15 2016, 4:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Tobi_WMDE_SW set the point value for this task to 8.Jun 16 2016, 2:13 PM
WMDE-Fisch moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-06-16 board.

As @Addshore stated in T136323#2398776 mentions will be only carried out by specific action types defined and set in DiscussionParser::interpretDiff.

The described edit - adding content with a header in the middle will lead to the unknown-signed-addition action. That does not trigger notifications.

QU1 - What would be the consequences of lifting the condition? How could we do that?

The condition could be easily changed. I am not entirely sure what consequences it brings. The only thing I see here is, that the current mention notification points to the section where the mention happened. That does not work very well if there are multiple sections or the section is not on top. But I think we could find solutions for these cases.

QU2 -If we can't lift it, could we inform users about mentions that are not being sent out due to it?

As I see it, we could also send failure notifications. But still, we should check other reasons why there are no mentions at all in theses scenarios.

Lea_WMDE closed this task as Resolved.EditedJul 14 2016, 9:05 AM

The TCB-Team decided to implement a mention failure notification for multiple section edits.
Since mentions should in the longrun be handled differently to the current ambiguous way, we opted against changing the code here but for more visibility of what is currently happening. The mention failure notification will come with the deployment of T138942.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 31 2016, 2:14 PM